//============================================================
//
//  I wrote these shaders for rq3dm4, but you're welcome to 
//  use them on your maps.  If you use these shaders do change 
//  the texture locations - otherwise they won't work.
//
//============================================================





//  Okay, here goes a set of 4 textures I made myself


//======================================
//  Gothic trim texture: mix of some blocks15 and gkc15b
//  
//======================================

textures/rq3dm4/blocks15_gkc15b
{
qer_editorimage	textures/rq3dm4/blocks15_gkc15b.jpg

	{
		map textures/rq3dm4/blocks15_gkc15b.jpg
		// Name of background wall
		rgbGen identity
	}

	{	
		map textures/rq3dm4/blocks15_gkc15b.jpg
		// Name of border wall
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

	{	
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		}				
}



//======================================
//  Gothic trim texture: mix of some light bricks and metalbase8a_bricks
//  
//======================================

textures/rq3dm4/metalbase_top
{
qer_editorimage	textures/rq3dm4/metalbase_top.jpg

	{
		map textures/rq3dm4/metalbase_top.jpg
		// Name of background wall
		rgbGen identity
	}

	{	
		map textures/rq3dm4/metalbase_top.jpg
		// Name of border wall
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

	{	
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		}				
}


//======================================
//  Gothic trim texture: mix of blocks_15 and metalbase8a_bricks
//  
//======================================

textures/rq3dm4/blocks_top
{
qer_editorimage	textures/rq3dm4/blocks15_top.jpg

	{
		map textures/rq3dm4/blocks15_top.jpg
		// Name of background wall
		rgbGen identity
	}

	{	
		map textures/rq3dm4/blocks15_top.jpg
		// Name of border wall
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

	{	
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		}				
}


//======================================
//  Gothic trim texture: mix of some dark bricks and metalbase8a_bricks
//  
//======================================

textures/rq3dm4/blocks_top
{
qer_editorimage	textures/rq3dm4/blocks15_top.jpg

	{
		map textures/rq3dm4/blocks15_top.jpg
		// Name of background wall
		rgbGen identity
	}

	{	
		map textures/rq3dm4/blocks15_top.jpg
		// Name of border wall
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

	{	
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		}				
}







//  These are simply shaders for existing q3 textures



//======================================
//  Quake III Arena texture fix
//  
//======================================

textures/rq3dm4/pitted_rust2_rq3dm4

{
	qer_editorimage textures/gothic_trim/pitted_rust2_trans.tga


	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/gothic_trim/pitted_rust2_trans.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

	
	}
}

